# Create Collection

## Create Collection

A Collection is the organizational unit for your data. The question asked to a collection will be analyzed and answered from all data in the collection. It is recommended to put different data into different collections.

{% hint style="info" %}
The `public_read` flag makes the collection publicly readable. You could send an ask request with no `Api-Key`. This is useful when you want to expose such as a chatbot on your website to automatically answer questions from customers.
{% endhint %}

{% hint style="info" %}
<https://github.com/ChatBees/chatbees-chat-widget>, the simple chatbot, you can customize and add to your website.
{% endhint %}

{% tabs %}
{% tab title="HTTP" %}

```
POST /collections/create HTTP/1.1
Api-Key: my_api_key
Content-Type: application/json
Host: my_account_id.us-west-2.aws.chatbees.ai

{
  "namespace_name": "string",
  "collection_name": "string",
  // description is Optional
  "description": "string" or null,
  // Optional, whether the collection is publicly readable
  "public_read": bool or null,
}

Response:
{}
```

{% endtab %}

{% tab title="Python" %}

```
import chatbees as cb

# Configure to use the API key
cb.init(api_key="my_api_key", account_id='my_account_id')

# Create a collection
col = cb.Collection(name='llm_research')
# set public_read to true, if you want the collection to 
# be publicly readable
# col = cb.Collection(name='llm_research', public_read=True)
cb.create_collection(col)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chatbees.ai/chatbees/api-references/collection-operations/create-collection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
